<?php

namespace Teknisa\SM\Factory;

use Doctrine\ORM\EntityManager;

class Sm00024000ParametrizacaoResultadoContratoMaoDeObraFactory {
    
    protected $connection;
    public function __construct(EntityManager $entityManager) {
        $this->connection = $entityManager->getConnection();
    }
    /**
     *  A função "validar" retorna a quantidade mao de obra existente para o elemento Selecionado 
     *  que está salvo na widget de MaoDeObra.
     */
     
    public function validar($params) {
        $sql = "SELECT COUNT(*) AS EXISTE
                  FROM FCT_MAOOBRACONTCTBL
                 WHERE CDSERVORCA = :CDSERVORCA 
                   AND CDCONTCTBL   = :CDCONTCTBL
                   AND NRORG         = :NRORG "; 
        
        $consulta = $this->connection->prepare($sql);
        $consulta->execute($params);
        return $consulta->fetchAll(); 
    }
}

?>