<?php

namespace Teknisa\SM\Service;

use Teknisa\SM\Factory\Sm00008000HabilidadePessoalFactory;

class Sm00008000HabilidadePessoalService
{
    
    protected $habilidadeFactory;
    
    public function __construct (Sm00008000HabilidadePessoalFactory $habilidadeFactory) {
        $this->habilidadeFactory = $habilidadeFactory;
    }
    
    public function validacao($habilidade, $parceiros, $nrorg) {
        $parceiros = implode(",", $parceiros);//houve tratamentodo Array $parceiros
        $dados = $this->habilidadeFactory-> validacao($habilidade, $parceiros, $nrorg); 
        //acima chama o metodo validação com tres paramtros no objetos habilidadeFactory
        $resultado = $dados[0]["EXISTE"];// em resultado fica o resultado da consulta se forma maior que zero nao sera permitido inserção pora informa que o campo ja tem o dado que se quer informa.
        
        return ($resultado == 0);// esta instrução repesenta o comentario abaixo neste caso retorna true se resultado for iqual a zero.
        
        /*if ($resultado == 0) {
            return true;
        }
        else {
            return false;
        }*/
    }
}

?>